Commit 49c9eeea authored by Alexander Lohnau's avatar Alexander Lohnau 💬
Browse files

Disable deprecate KF and Qt API using ECMDeprecationSettings

Task: https://phabricator.kde.org/T15109
parent 97a28438
Pipeline #180431 passed with stage
in 9 minutes and 13 seconds
......@@ -31,9 +31,16 @@ include(KDEGitCommitHooks)
include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)
include(FeatureSummary)
ecm_set_disabled_deprecation_versions(
QT 5.15
KF 5.90
)
# forbid some old things
add_definitions(-DQT_NO_FOREACH)
......@@ -49,8 +56,6 @@ find_package(KF5 ${KF5_DEP_VERSION}
DocTools
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
# addons for Kate
ecm_optional_add_subdirectory(addons)
......
......@@ -33,6 +33,6 @@ Plasma::Service *KateSessionsEngine::serviceForSource(const QString &source)
return service;
}
K_EXPORT_PLASMA_DATAENGINE_WITH_JSON(org.kde.plasma.katesessions, KateSessionsEngine, "plasma-dataengine-katesessions.json")
K_PLUGIN_CLASS_WITH_JSON(KateSessionsEngine, "plasma-dataengine-katesessions.json")
#include "katesessionsengine.moc"
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment